Name:       tuxmathscrabble
Version:    0.8.1
Release:    %mkrel 3
Summary:    A math version of the popular board game for ages 4-40
License:    GPLv3
Epoch:      1
Group:      Games/Boards
URL:        http://www.asymptopia.org/
Source0:    %name-%version.zip
BuildRequires:	imagemagick
Requires:   python-pygame
Requires:   wxPythonGTK
BuildArch:  noarch

%description
TuxMathScrabble is an OpenSource math version of the popular board game for 
ages 4-40. It challenges young people to construct compound equations and 
consider multiple abstract possibilities. There are 4 skill levels, the 
hardest uses numbers up to 20 and supports division as well as 
add/subtract/multiply. Upon completing a successful move little Tux's 
pop-out of the most recently moved tiles and do a little dance. Tux moves 
his own pieces as well as performing various animated antics.

%prep
%setup -q -n %name-master

%build
# fix python env
sed -i -e   s/python2.7-32/python2.7/ %{name}.py

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
cp -pr Font %{buildroot}%{_gamesdatadir}/%{name}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/lib
cp -pr TuxMathScrabble %{buildroot}%{_gamesdatadir}/%{name}/lib
cp .tms_config_master  %{buildroot}%{_gamesdatadir}/%{name}

install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}.py %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 48x48 tms.ico %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 tms.ico %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 tms.ico %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/ 
install -m 644 %{name}-admin.desktop %{buildroot}%{_datadir}/applications/ 

%files
%doc INSTALL LICENSE README CHANGES
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}*.desktop 
%{_iconsdir}/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1:0.8.1-3.mga6
+ Revision: 969812
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 zezinho <zezinho> 1:0.8.1-2.mga6
+ Revision: 879488
- fix python env

* Mon Dec 08 2014 anaselli <anaselli> 1:0.8.0-2.mga5
+ Revision: 802314
- Fixed python script dependence from python version

* Sun Dec 07 2014 anaselli <anaselli> 1:0.8.0-1.mga5
+ Revision: 801997
- Fixed bug 14617
  Removed patch and custom desktop files (provided upstream)

* Wed Nov 26 2014 alexl <alexl> 1:0.7.4-7.mga5
+ Revision: 799392
- add GenericName from OpenSuse
- add translations for desktop files

* Wed Oct 15 2014 umeabot <umeabot> 1:0.7.4-6.mga5
+ Revision: 744488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.7.4-5.mga5
+ Revision: 689984
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.7.4-4.mga4
+ Revision: 519764
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:0.7.4-3.mga3
+ Revision: 384863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 20 2011 anaselli <anaselli> 1:0.7.4-2.mga1
+ Revision: 89294
- Added admin menu entry

* Sat Apr 16 2011 anaselli <anaselli> 1:0.7.4-1.mga1
+ Revision: 86080
- imported package tuxmathscrabble


* Mon Apr 11 2011 Stefano Negro <stblack@gmail.com> 1:0.7.4-1.mga1.0
- imported new version
- anaselli: fixed patch to get right path

* Sat May 16 2009 Samuel Verschelde <stormi@mandriva.org> 1:0.5.8-2mdv2010.0
+ Revision: 376469
- increase release

* Sat May 16 2009 Samuel Verschelde <stormi@mandriva.org> 1:0.5.8-1mdv2010.0
+ Revision: 376452
- fix license
- add icons

* Mon Apr 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.5.8-1mdv2009.1
+ Revision: 366790
- new version
- don't forget to install configuration and fonts
- make it noarch

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.5.0-4.3mdv2009.0
+ Revision: 269441
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.3mdv2009.0
+ Revision: 205581
- Should not be noarch ed
- Remove all .svn files and folder

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.2mdv2008.1
+ Revision: 132015
- New version 0.5.0 Rc2
  Fix patch in Environment.py ( patch from PCLinuxOS )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.1mdv2008.1
+ Revision: 119664
- New pre version of 0.5.0

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.4.5-1mdv2008.1
+ Revision: 119591
- New version 0.4.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.4-2mdv2007.0
+ Revision: 89589
- Fix File List
- New version 3.0.4
- import tuxmathscrabble-2.7-1mdk

* Mon Jan 17 2005 Michael Scherer <misc@mandrake.org> 2.7-1mdk
- misc cleanup
- from jean-sebastien HUBERT <jshubert@free.fr>
  - first release for Linux-Mandrake

